package w83b.w83bBeans;

import java.sql.ResultSet;
import java.util.HashMap;

import org.apache.commons.lang.StringUtils;

import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bCitacionesVistaBD;
import w83b.w83bDAO.w83bConstantesBD.W83bImpugnacionesVistaBD;

/**
 * 
 * 
 * @author jroncal
 * 
 */
public class W83bCitacionBean extends W83bBaseBean implements W83bBaseBeanBD{
	private static final long	serialVersionUID	= 1L;

	private String codSelec="";
	
	private String numImpugnacionTerritorioDesde= "";
	private String numImpugnacionAnyoDesde= "";
	private String numImpugnacionNumeroDesde= "";
	
	private String numImpugnacionTerritorioHasta= "";
	private String numImpugnacionAnyoHasta= "";
	private String numImpugnacionNumeroHasta= "";	
	
	private String nImpugnacion="";
	private String territorioImpugnacion="";
	private String anyoImpugnacion="";
	private String numImpugnacion="";
	private String fechaImpugnacion="";
	private String numLaudo="";
	private String	sindicato = "";
	private String	sindicatos = "";
	private String	sindicatoTxt = "";
	private String	dirSindicato = "";
	private String	abrSindicatosImpugnacion = "";
	
	private String	firmante = "";
	
	private String centroSel="0";
	private String centroSelHd="";
	private String ordenSindicatos="";
	private String codsSindicatos="";
	private String dirSindicatos="";
	private String cpSindicatos="";
	private String descSindicatos="";
	private String deseSindicatos="";
	private String provSindicatos="";
	private String muniSindicatos="";
	private String tipoSindicatos="";
	private String siglasSindicatos="";
	private String codsSindicatosBorrados="";
	private String codsInteresadosBorrados="";

	private HashMap mapaSindicatos=new HashMap();
	private HashMap mapaInteresados=new HashMap();
	private HashMap plantillasRTF=new HashMap();
	
	
	private String idCitacionTabla="";
	
	private W83bCentroTrabajoBean centroTrabajo = new W83bCentroTrabajoBean();
	/** The centro trabajo orig. */
	private W83bCentroTrabajoBean centroTrabajoPrevOrig = new W83bCentroTrabajoBean();
	private String idCentroTrabajo ="";
	
	private String idCentroTrabajoOrig ="";
	
	private String tipoImpugnacion="";
	
	private String codsSindicatosMayores="";
	
	/** The dni impug. */
	private String dniImpug="";
	
	/** The nombre impug. */
	private String nombreImpug="";
	
	/** The dir impug. */
	private String dirImpug="";
	
	/** The cp impug. */
	private String cpImpug="";
	
	/** The provincia impug. */
	private String provinciaImpug="";
	
	/** The municipio impug. */
	private String municipioImpug="";
	
	/** The provincia impug txt. */
	private String provinciaImpugTxt="";
	
	/** The municipio impug txt. */
	private String municipioImpugTxt="";
	
	/** The provincia impug txt c. */
	private String provinciaImpugTxtC="";
	
	/** The municipio impug txt c. */
	private String municipioImpugTxtC="";
	
	/** The provincia impug txt e. */
	private String provinciaImpugTxtE="";
	
	/** The municipio impug txt e. */
	private String municipioImpugTxtE="";	
	
	private String mesa="";
	private String mesaHd="";	

	private String fechaCitacionDel="";
	private String fechaCitacionHasta="";
	
	private String fechaCitacion="";

	private String horaCitacion="";
	private String horaCitacionInicio="";
	private String horaCitacionFinal="";
	private String horaCitacionInicioHd="";
	private String nombreInter="";
	
	private String codsInteresados="";
	public String getCodsInteresados() {
		return codsInteresados;
	}

	public void setCodsInteresados(String codsInteresados) {
		this.codsInteresados = codsInteresados;
	}

	private String nombreInteresados="";
	private String dirInteresados="";
	private String cpInteresados="";
	private String provInteresados="";
	private String muniInteresados="";
	public String getNacta() {
		return nacta;
	}

	public void setNacta(String nacta) {
		this.nacta = nacta;
	}

	private String horaCitacionFinalHd="";
	
	private String nacta;
		
	 
	public String getFirmante() {
		return firmante;
	}

	public void setFirmante(String firmante) {
		this.firmante = firmante;
	}

	public String getCpImpug() {
		return cpImpug;
	}

	public void setCpImpug(String cpImpug) {
		this.cpImpug = cpImpug;
	}

	public String getCpSindicatos() {
		return cpSindicatos;
	}

	public void setCpSindicatos(String cpSindicatos) {
		this.cpSindicatos = cpSindicatos;
	}

	public String getSiglasSindicatos() {
		return siglasSindicatos;
	}

	public void setSiglasSindicatos(String siglasSindicatos) {
		this.siglasSindicatos = siglasSindicatos;
	}

	public String getAbrSindicatosImpugnacion() {
		return abrSindicatosImpugnacion;
	}

	public void setAbrSindicatosImpugnacion(String abrSindicatosImpugnacion) {
		this.abrSindicatosImpugnacion = abrSindicatosImpugnacion;
	}

	public String getDirSindicatos() {
		return dirSindicatos;
	}

	public void setDirSindicatos(String dirSindicatos) {
		this.dirSindicatos = dirSindicatos;
	}

	public String getDescSindicatos() {
		return descSindicatos;
	}

	public void setDescSindicatos(String descSindicatos) {
		this.descSindicatos = descSindicatos;
	}

	public String getDeseSindicatos() {
		return deseSindicatos;
	}

	public void setDeseSindicatos(String deseSindicatos) {
		this.deseSindicatos = deseSindicatos;
	}

	public String getProvSindicatos() {
		return provSindicatos;
	}

	public void setProvSindicatos(String provSindicatos) {
		this.provSindicatos = provSindicatos;
	}

	public String getMuniSindicatos() {
		return muniSindicatos;
	}

	public void setMuniSindicatos(String muniSindicatos) {
		this.muniSindicatos = muniSindicatos;
	}

	public String getCentroSel() {
		return centroSel;
	}

	public void setCentroSel(String centroSel) {
		this.centroSel = centroSel;
	}

	public String getIdCentroTrabajoOrig() {
		return idCentroTrabajoOrig;
	}

	public void setIdCentroTrabajoOrig(String idCentroTrabajoOrig) {
		this.idCentroTrabajoOrig = idCentroTrabajoOrig;
	}

	public String getHoraCitacionInicio() {
		return horaCitacionInicio;
	}

	public void setHoraCitacionInicio(String horaCitacionInicio) {
		this.horaCitacionInicio = horaCitacionInicio;
	}

	public String getHoraCitacionFinal() {
		return horaCitacionFinal;
	}

	public HashMap getMapaSindicatos() {
		return mapaSindicatos;
	}

	public void setMapaSindicatos(HashMap mapaSindicatos) {
		this.mapaSindicatos = mapaSindicatos;
	}

	public void setHoraCitacionFinal(String horaCitacionFinal) {
		this.horaCitacionFinal = horaCitacionFinal;
	}

	public W83bCentroTrabajoBean getCentroTrabajoPrevOrig() {
		return centroTrabajoPrevOrig;
	}
	public void setCentroTrabajoPrevOrig(W83bCentroTrabajoBean centroTrabajoPrevOrig) {
		this.centroTrabajoPrevOrig = centroTrabajoPrevOrig;
	}

	/**
	 * 
	 * El constructor de W83bCitacionBean.
	 */
	public W83bCitacionBean() {
		super();
	}

	public String getCodsSindicatos() {
		return codsSindicatos;
	}

	public void setCodsSindicatos(String codsSindicatos) {
		this.codsSindicatos = codsSindicatos;
	}

	public String getCodsSindicatosBorrados() {
		return codsSindicatosBorrados;
	}

	public void setCodsSindicatosBorrados(String codsSindicatosBorrados) {
		this.codsSindicatosBorrados = codsSindicatosBorrados;
	}
	
	public String getCodsInteresadosBorrados() {
		return codsInteresadosBorrados;
	}

	public void setCodsInteresadosBorrados(String codsInteresadosBorrados) {
		this.codsInteresadosBorrados = codsInteresadosBorrados;
	}

	public String getNumImpugnacionTerritorioDesde() {
		return numImpugnacionTerritorioDesde;
	}

	public void setNumImpugnacionTerritorioDesde(
			String numImpugnacionTerritorioDesde) {
		this.numImpugnacionTerritorioDesde = numImpugnacionTerritorioDesde;
	}

	public String getNumImpugnacionAnyoDesde() {
		return numImpugnacionAnyoDesde;
	}

	public void setNumImpugnacionAnyoDesde(String numImpugnacionAnyoDesde) {
		this.numImpugnacionAnyoDesde = numImpugnacionAnyoDesde;
	}

	public String getNumImpugnacionNumeroDesde() {
		return numImpugnacionNumeroDesde;
	}

	public void setNumImpugnacionNumeroDesde(String numImpugnacionNumeroDesde) {
		this.numImpugnacionNumeroDesde = numImpugnacionNumeroDesde;
	}

	public String getNumImpugnacionTerritorioHasta() {
		return numImpugnacionTerritorioHasta;
	}

	public void setNumImpugnacionTerritorioHasta(
			String numImpugnacionTerritorioHasta) {
		this.numImpugnacionTerritorioHasta = numImpugnacionTerritorioHasta;
	}

	public String getNumImpugnacionAnyoHasta() {
		return numImpugnacionAnyoHasta;
	}
	public void setNumImpugnacionAnyoHasta(String numImpugnacionAnyoHasta) {
		this.numImpugnacionAnyoHasta = numImpugnacionAnyoHasta;
	}

	public String getNumImpugnacionNumeroHasta() {
		return numImpugnacionNumeroHasta;
	}

	public void setNumImpugnacionNumeroHasta(String numImpugnacionNumeroHasta) {
		this.numImpugnacionNumeroHasta = numImpugnacionNumeroHasta;
	}

	public String getCodSelec() {
		return codSelec;
	}
	public void setCodSelec(String codSelec) {
		this.codSelec = codSelec;
	}

	public String getNImpugnacion() {
		return nImpugnacion;
	}

	public void setNImpugnacion(String impugnacion) {
		nImpugnacion = impugnacion;
	}

	public String getTerritorioImpugnacion() {
		return territorioImpugnacion;
	}

	public void setTerritorioImpugnacion(String territorioImpugnacion) {
		this.territorioImpugnacion = territorioImpugnacion;
	}

	public String getAnyoImpugnacion() {
		return anyoImpugnacion;
	}

	public void setAnyoImpugnacion(String anyoImpugnacion) {
		this.anyoImpugnacion = anyoImpugnacion;
	}

	public String getNumImpugnacion() {
		return numImpugnacion;
	}

	public void setNumImpugnacion(String numImpugnacion) {
		this.numImpugnacion = numImpugnacion;
	}

	public String getSindicato() {
		return sindicato;
	}
	public void setSindicato(String sindicato) {
		this.sindicato = sindicato;
	}

	public String getSindicatoTxt() {
		return sindicatoTxt;
	}

	public void setSindicatoTxt(String sindicatoTxt) {
		this.sindicatoTxt = sindicatoTxt;
	}

	public String getDirSindicato() {
		return dirSindicato;
	}
	public void setDirSindicato(String dirSindicato) {
		this.dirSindicato = dirSindicato;
	}

	public String getIdCitacionTabla() {
		return idCitacionTabla;
	}

	public void setIdCitacionTabla(String idCitacionTabla) {
		this.idCitacionTabla = idCitacionTabla;
	}

	public W83bCentroTrabajoBean getCentroTrabajo() {
		return centroTrabajo;
	}
	public void setCentroTrabajo(W83bCentroTrabajoBean centroTrabajo) {
		this.centroTrabajo = centroTrabajo;
	}

	public String getIdCentroTrabajo() {
		return idCentroTrabajo;
	}

	public void setIdCentroTrabajo(String idCentroTrabajo) {
		this.idCentroTrabajo = idCentroTrabajo;
	}

	public String getDniImpug() {
		return dniImpug;
	}

	public void setDniImpug(String dniImpug) {
		this.dniImpug = dniImpug;
	}

	public String getNombreImpug() {
		return nombreImpug;
	}

	public void setNombreImpug(String nombreImpug) {
		this.nombreImpug = nombreImpug;
	}

	public String getDirImpug() {
		return dirImpug;
	}

	public void setDirImpug(String dirImpug) {
		this.dirImpug = dirImpug;
	}

	public String getMunicipioImpugTxtC() {
		return municipioImpugTxtC;
	}

	public void setMunicipioImpugTxtC(String municipioImpugTxtC) {
		this.municipioImpugTxtC = municipioImpugTxtC;
	}

	public String getProvinciaImpugTxtC() {
		return provinciaImpugTxtC;
	}
	public void setProvinciaImpugTxtC(String provinciaImpugTxtC) {
		this.provinciaImpugTxtC = provinciaImpugTxtC;
	}

	public String getMunicipioImpugTxtE() {
		return municipioImpugTxtE;
	}

	public void setMunicipioImpugTxtE(String municipioImpugTxtE) {
		this.municipioImpugTxtE = municipioImpugTxtE;
	}

	public String getProvinciaImpugTxtE() {
		return provinciaImpugTxtE;
	}

	public void setProvinciaImpugTxtE(String provinciaImpugTxtE) {
		this.provinciaImpugTxtE = provinciaImpugTxtE;
	}

	public String getMesa() {
		return mesa;
	}

	public void setMesa(String mesa) {
		this.mesa = mesa;
	}

	public String getFechaCitacion() {
		return fechaCitacion;
	}

	public void setFechaCitacion(String fechaCitacion) {
		this.fechaCitacion = fechaCitacion;
	}

	public String getHoraCitacion() {
		return horaCitacion;
	}

	public void setHoraCitacion(String horaCitacion) {
		this.horaCitacion = horaCitacion;
	}

	public String getFechaCitacionDel() {
		return fechaCitacionDel;
	}

	public String getSindicatos() {
		return sindicatos;
	}

	public void setSindicatos(String sindicatos) {
		this.sindicatos = sindicatos;
	}

	public void setFechaCitacionDel(String fechaCitacionDel) {
		this.fechaCitacionDel = fechaCitacionDel;
	}

	public String getFechaCitacionHasta() {
		return fechaCitacionHasta;
	}

	public void setFechaCitacionHasta(String fechaCitacionHasta) {
		this.fechaCitacionHasta = fechaCitacionHasta;
	}

	public String getNumLaudo() {
		return numLaudo;
	}

	public void setNumLaudo(String numLaudo) {
		this.numLaudo = numLaudo;
	}

	public void setOrdenSindicatos(String ordenSindicatos) {
		this.ordenSindicatos = ordenSindicatos;
	}

	public String getOrdenSindicatos() {
		return ordenSindicatos;
	}

	public String getNombreInteresados() {
		return nombreInteresados;
	}

	public void setNombreInteresados(String nombreInteresados) {
		this.nombreInteresados = nombreInteresados;
	}

	public String getDirInteresados() {
		return dirInteresados;
	}

	public void setDirInteresados(String dirInteresados) {
		this.dirInteresados = dirInteresados;
	}

	public String getCpInteresados() {
		return cpInteresados;
	}

	public void setCpInteresados(String cpInteresados) {
		this.cpInteresados = cpInteresados;
	}

	public String getProvInteresados() {
		return provInteresados;
	}

	public void setProvInteresados(String provInteresados) {
		this.provInteresados = provInteresados;
	}

	public String getMuniInteresados() {
		return muniInteresados;
	}

	public void setMuniInteresados(String muniInteresados) {
		this.muniInteresados = muniInteresados;
	}
	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		// TODO Auto-generated method stub
		ResultSet rs = (ResultSet)o;//NOPMD
		this.idCitacionTabla=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.NCITACION).replace('/','_');
		this.nImpugnacion = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.NCITACION);
		
		this.territorioImpugnacion = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.codTerritorioImpugnacion);
		this.anyoImpugnacion = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.anyoImpugnacion);
		this.numImpugnacion = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.numImpugnacion);
		this.fechaImpugnacion = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.FECHAIMPUGNACION);
		this.numLaudo = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.numLaudo);
		this.dniImpug=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.DNIIMPUG);
		this.nombreImpug=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.NOMBREIMPUG);
		this.dirImpug=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.DIRIMPUG);
		this.cpImpug=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.CPIMPUG);
		this.provinciaImpug=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.PROVIMPUG);
		this.municipioImpug=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.MUNIIMPUG);
		
		this.municipioImpugTxtC=W83bDataBase.getStringFromRS(rs, W83bImpugnacionesVistaBD.MUNIIMPUGTXTC);
		this.provinciaImpugTxtC=W83bDataBase.getStringFromRS(rs, W83bImpugnacionesVistaBD.PROVIMPUGTXTC);
		this.municipioImpugTxtE=W83bDataBase.getStringFromRS(rs, W83bImpugnacionesVistaBD.MUNIIMPUGTXTE);
		this.provinciaImpugTxtE=W83bDataBase.getStringFromRS(rs, W83bImpugnacionesVistaBD.PROVIMPUGTXTE);
		
		
		this.sindicato = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.SINDICATO);
		this.ordenSindicatos = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.ORDENSIN);
		if(null!=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.ABRSINDICATOS))
		{
			this.sindicatos = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.ABRSINDICATOS).replace('?', ',');
			this.sindicatos = this.sindicatos .replaceAll(",", ", ");
		}else{
			this.sindicatos ="";
		}
		if(null!=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.CODSSINDICATOS))
		{
			this.codsSindicatos = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.CODSSINDICATOS).replace('?', ',');
		}else{
			this.codsSindicatos ="";
		}
		
		
		
		this.codsSindicatos ="";
		this.descSindicatos ="";
		this.deseSindicatos ="";
		this.dirSindicatos ="";
		this.provSindicatos ="";
		this.muniSindicatos ="";
		this.tipoSindicatos ="";
		this.siglasSindicatos ="";
		this.cpSindicatos ="";
		this.abrSindicatosImpugnacion="";
		if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.DATOSSINDICATOS)) )
		{
			String[] datos=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.DATOSSINDICATOS).split("\\?");
			for(int i=0;i<datos.length;i++)
			{
			
				if(!datos[i].equals("@@@@@@@@"))
				{
					String[] sindi=datos[i].split("@");
					
						if(i!=0)
						{
							this.codsSindicatos+=",";
							this.descSindicatos +=",";
							this.deseSindicatos +=",";
							this.dirSindicatos +=",";
							this.provSindicatos +=",";
							this.muniSindicatos +=",";
							this.tipoSindicatos +=",";
							this.cpSindicatos +=",";
							this.siglasSindicatos +=", ";
							
						}
						this.codsSindicatos+=sindi[0];
						this.descSindicatos +=sindi[1];
						this.deseSindicatos +=sindi[2];
						if ("".equals(sindi[3])){
							this.dirSindicatos +=" "+sindi[3];
						}
						else{
							this.dirSindicatos +=sindi[3];
						}
						if ("".equals(sindi[4])){
							this.provSindicatos +=" "+sindi[4];
						}
						else{
							this.provSindicatos +=sindi[4];
						}
						if ("".equals(sindi[5])){
							this.muniSindicatos +=" "+sindi[5];
						}
						else{
							this.muniSindicatos +=sindi[5];
						}
						this.tipoSindicatos +=sindi[6];
						if(sindi.length==8)
						{
							this.cpSindicatos +=" ";
						}else{
							if ("".equals(sindi[8])){
								this.cpSindicatos +=" "+sindi[8];
							}
							else{
								this.cpSindicatos +=sindi[8];
							}
							
						}
						
						this.siglasSindicatos +=sindi[7];
						if(sindi[6].equals("I"))
						{
							if(!this.abrSindicatosImpugnacion.equals(""))
							{
								this.abrSindicatosImpugnacion+=", ";
							}
							this.abrSindicatosImpugnacion +=sindi[7];
						}						
										
				}
				
			}
			
		}		
		if(StringUtils.isNotEmpty(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.DATOSINTERESADOS)) )
		{
			String[] datos=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.DATOSINTERESADOS).split("\\?");
			for(int i=0;i<datos.length;i++)
			{
			
				if(!datos[i].equals("@@@@@"))
				{
					String[] interesado=datos[i].split("@");
					
						if(i!=0)
						{
							this.codsInteresados+=",";
							this.nombreInteresados +=",";
							this.dirInteresados +=",";
							this.cpInteresados +=",";
							this.muniInteresados +=",";
							this.provInteresados +=",";
						}
						this.codsInteresados+=interesado[0];
						if ("".equals(interesado[1])){
							this.nombreInteresados +=" "+interesado[1];
						}
						else{
							this.nombreInteresados +=interesado[1];
						}
						if (interesado.length>=3){
							if ("".equals(interesado[2])){
								this.dirInteresados +=" "+interesado[2];
							}
							else{
								this.dirInteresados +=interesado[2];
							}
						}
						if (interesado.length>=4){
							if ("".equals(interesado[3])){
								this.cpInteresados +=" "+interesado[3];
							}
							else{
								this.cpInteresados +=interesado[3];
							}
						}
						if (interesado.length>=5){
							if ("".equals(interesado[4])){
								this.muniInteresados +=" "+interesado[4];
							}
							else{
								this.muniInteresados +=interesado[4];
							}
						}
						if (interesado.length>=6){
							if ("".equals(interesado[5])){
								this.provInteresados +=" "+interesado[5];
							}
							else{
								this.provInteresados +=interesado[5];
							}	
						}
										
										
				}
				
			}
			
		}		
		this.sindicatoTxt = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.SINDICATOTXT);
		this.dirSindicato = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.DIRSINDICATO);
			
		this.idCentroTrabajo=W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.IDCENTRO);
		this.centroTrabajo.setNumCentro(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.NCENTRO));
		this.centroTrabajo.setCifnif(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.CIF));
		this.centroTrabajo.setRazonSocial(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.RAZONSOCIAL));
		this.centroTrabajo.setDomicilio(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.DIRCENTRO));
		this.centroTrabajo.setCodPostal(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.CPCENTRO));
		this.centroTrabajo.setCodTerritorio(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.codProvincia));
		this.centroTrabajo.setCodMunicipio(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.codMunicipio));
		this.centroTrabajo.setTerritorio(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.centroProvinciaTxtC));
		this.centroTrabajo.setTerritorio_eusk(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.centroProvinciaTxtE));
		this.centroTrabajo.setCodMunicipio(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.codMunicipio));
		this.centroTrabajo.setMunicipio(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.centroMunicipioTxtC));
		this.centroTrabajo.setMunicipio_eusk(W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.centroMunicipioTxtE));
		
		this.mesa = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.MESA);
		this.centroSel = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.DIRORIG);
		this.mesaHd = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.MESA);
		this.centroSelHd = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.DIRORIG);
		
		this.fechaCitacion = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.FECHACITACION);
		this.horaCitacionInicio = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.HORACITACIONI);
		this.horaCitacionFinal = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.HORACITACIONF);
		this.horaCitacionInicioHd = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.HORACITACIONI);
		this.horaCitacionFinalHd = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.HORACITACIONF);			
		this.nacta = W83bDataBase.getStringFromRS(rs, W83bCitacionesVistaBD.NACTA);	
		return null;
	}


	public HashMap getMapaInteresados() {
		return mapaInteresados;
	}

	public void setMapaInteresados(HashMap mapaInteresados) {
		this.mapaInteresados = mapaInteresados;
	}

	public String getTipoImpugnacion() {
		return tipoImpugnacion;
	}

	public void setTipoImpugnacion(String tipoImpugnacion) {
		this.tipoImpugnacion = tipoImpugnacion;
	}

	public String getProvinciaImpug() {
		return provinciaImpug;
	}
	public void setProvinciaImpug(String provinciaImpug) {
		this.provinciaImpug = provinciaImpug;
	}

	public String getMunicipioImpug() {
		return municipioImpug;
	}
	public void setMunicipioImpug(String municipioImpug) {
		this.municipioImpug = municipioImpug;
	}

	public String getProvinciaImpugTxt() {
		return provinciaImpugTxt;
	}

	public void setProvinciaImpugTxt(String provinciaImpugTxt) {
		this.provinciaImpugTxt = provinciaImpugTxt;
	}

	public String getMunicipioImpugTxt() {
		return municipioImpugTxt;
	}

	public void setMunicipioImpugTxt(String municipioImpugTxt) {
		this.municipioImpugTxt = municipioImpugTxt;
	}
	public String getCodsSindicatosMayores() {
		return codsSindicatosMayores;
	}

	public void setCodsSindicatosMayores(String codsSindicatosMayores) {
		this.codsSindicatosMayores = codsSindicatosMayores;
	}

	public String getTipoSindicatos() {
		return tipoSindicatos;
	}

	public void setTipoSindicatos(String tipoSindicatos) {
		this.tipoSindicatos = tipoSindicatos;
	}

	public boolean isNullBusq() {
		// TODO Auto-generated method stub
		if(
			null == dniImpug&&
			null == nombreImpug&&
			null == dirImpug&&			
			null == sindicato&&
			null == dirSindicato&&			
			null == centroTrabajo.getCifnif()&&
			null == centroTrabajo.getRazonSocial()&&
			null == centroTrabajo.getCodMunicipio()&&
			null == centroTrabajo.getCodTerritorio()&&
			null == mesa&&			
			null == fechaCitacion&&
			null == horaCitacion)
		{
			return true;
		}
		return false;
	}


	public String getCentroSelHd() {
		return centroSelHd;
	}

	public void setCentroSelHd(String centroSelHd) {
		this.centroSelHd = centroSelHd;
	}

	public String getMesaHd() {
		return mesaHd;
	}

	public void setMesaHd(String mesaHd) {
		this.mesaHd = mesaHd;
	}

	public String getHoraCitacionInicioHd() {
		return horaCitacionInicioHd;
	}

	public void setHoraCitacionInicioHd(String horaCitacionInicioHd) {
		this.horaCitacionInicioHd = horaCitacionInicioHd;
	}

	public String getHoraCitacionFinalHd() {
		return horaCitacionFinalHd;
	}

	public void setHoraCitacionFinalHd(String horaCitacionFinalHd) {
		this.horaCitacionFinalHd = horaCitacionFinalHd;
	}

	public String getFechaImpugnacion() {
		return fechaImpugnacion;
	}

	public void setFechaImpugnacion(String fechaImpugnacion) {
		this.fechaImpugnacion = fechaImpugnacion;
	}

	public HashMap getPlantillasRTF() {
		return plantillasRTF;
	}

	public void setPlantillasRTF(HashMap plantillasRTF) {
		this.plantillasRTF = plantillasRTF;
	}

	public String getNombreInter() {
		return nombreInter;
	}

	public void setNombreInter(String nombreInter) {
		this.nombreInter = nombreInter;
	}
	
	

}
